Ben
Burton
April 12, 2003
kapptemplate
1

# `kapptemplate`

Creates a framework to develop a KDE application

    kapptemplate
    --noinit
    --default
    --full-app
    --kpart-app
    --kpart-plugin
    --existing
    --help

## Description

`kapptemplate` is a shell script that will create the necessary framework to develop various &kde; applications. It takes care of the autoconf/automake code as well as providing a skeleton and example of what the code typically looks like.

This utility is part of the &kde; Software Development Kit.

## Options

### General Options

`--help`

  Display a full summary of options.

`--no-init`

  Don't run `make` `-f` `Makefile.cvs`

`--default`

  Use default values instead of prompting.

### Framework Types

`--full-app`

  Create a full featured KDE application.

`--kpart-app`

  Create a full featured KPart application.

`--kpart-plugin`

  Create a KPart plugin framework.

`--existing`

  Converting existing source to an automake/autoconf KDE framework.

## Files

`~/.kapptemplate`

  Stores default values

## See Also

`$PREFIX/share/doc/kapptemplate`

## Authors

`kapptemplate` was written by &Kurt.Granroth; &Kurt.Granroth.mail;

This manual page was prepared by Ben Burton bab@debian.org